Fix PXE boot in helium
Closed, ResolvedPublic

Description

From https://github.com/vyos/live-initramfs/pull/1

So if one naively tries to boot vyos over PXE by copying the append line in the isolinux config and then adding fetch=http://foo/filesystem.squashfs, one gets a kernel panic, presumably because the shell exits or crashes.

After much debugging, it turns out that the code that deals with fetch= does not setup networking first, so it never succeeds.

This pull request fixes that.

I also noticed that tftp:// URLs to fetch= were broken, so I backported the fix.

Details

Difficulty level
Normal (likely a few hours)
Version
1.1.7
dmbaturin created this task.Sep 7 2016, 2:36 PM
syncer lowered the priority of this task from Unbreak Now! to Normal.Nov 5 2016, 12:56 PM
syncer added a subscriber: VyOS 1.1.x.
syncer changed the edit policy from "Public (No Login Required)" to "Custom Policy".Aug 21 2017, 2:27 AM
syncer set Version to 1.1.7.
syncer edited projects, added VyOS 1.1.x (1.1.8); removed VyOS 1.1.x.
syncer moved this task from Needs Triage to Backlog on the VyOS 1.1.x (1.1.8) board.
syncer edited subscribers, added: Maintainers; removed: VyOS 1.1.x, dmbaturin.
syncer added a subscriber: syncer.

As this was merged, moving it to 1.1.8 backlog

UnicronNL moved this task from Backlog to Finished on the VyOS 1.1.x (1.1.8) board.Wed, Sep 6, 8:31 AM
UnicronNL closed this task as Resolved.Wed, Sep 6, 11:48 AM
UnicronNL added a subscriber: UnicronNL.

merged to lithium